ROTCTL(1)

NAME
rotctl - control antenna rotators

SYNOPSIS
rotctl [OPTION]... [COMMAND]...

DESCRIPTION
Control antenna rotators. rotctl accepts commands from the command line as well as in interactive mode if none are provided on the command line.

Keep in mind that Hamlib is BETA level software. While a lot of backend libraries lack complete rig support, the basic functions are usually well supported. The API may change without publicized notice, while an advancement of the minor version (e.g. 1.1.x to 1.2.x) indicates such a change.

Please report bugs and provide feedback at the e-mail address given in the REPORTING BUGS section. Patches and code enhancements are also welcome.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-').

Here is s summary of the supported options:

-m, --model=id
    Select rotator model number. See model list (use 'rotctl -l').

-r, --rot-file=device
    Use device as the file name of the port the rotator is connected. Often a serial port, but could be a USB to serial adapter. Typically /dev/ttyS0, /dev/ttyS1, /dev/ttyUSB0, etc.
    Default is /dev/rotator (may be a symbolic link to the actual device).

-s, --serial-speed=baud
    Set serial speed to baud rate. Uses maximum serial speed from rotator backend capabilites as default.

-t, --send-cmd-term=char
    Change the termination char for text protocol when using the send_cmd command. The default value is <CR>. Non ASCII printable characters can be specified as an ASCII number, in hexadecimal format, prepended with 0x. You may pass an empty string for no termination char. The string -1 tells rotctl to switch to binary protocol. See the send_cmd command for further explanation.

-L, --show-conf
    List all config parameters for the rotor defined with -m above.

-C, --set-conf=parm=val[,parm=val]*
    Set config parameter. e.g. stop_bits=2
    Use -L option for a list.

-l, --list
    List all model numbers defined in Hamlib and exit.

-v, --verbose
    Set verbose mode, cumulative (see DIAGNOSTICS below).

-h, --help
    Show summary of these options and exit.

-V, --version
    Show version of rotctl and exit.

NOTE! Some options may not be implemented by a given backend and will return an error. This is most likely to occur with the --set-conf and --show-conf options.

COMMANDS
Commands can be entered either as a single char, or as a long command name. Basically, the commands do not take a dash in front of them, as the options do. They may be typed in when in interactive mode or provided as argument(s) in command line interface mode.

Since most of the Hamlib operations have a set and a get method, an upper case letter will be used for set method whereas the corresponding lower case letter refers to the get method. In interactive mode, prepend a backslash to enter a long command name.
Example: Use "\get_info" to see the rotor's info.

Please note that the backend for the rotator to be controlled, or the rotator itself may not support some commands. In that case, the operation will fail with a Hamlib error message.

A summary of commands is included below.

P, set_pos
    Set position: azimuth and elevation.

p, get_pos
    Get position: azimuth and elevation.

K, park
    Park the antenna.

S, stop
    Stop the rotator.

R, reset
    Reset the rotator.

M, move
    Move the rotator in a specific direction.

C, set_conf
    Set a configuration parameter. It is safe to give "Token" a value of '0' (zero). "Value" may be a string up to 20 characters.
    See -L output

_, get_info
    Get misc information on the rotator.

w, send_cmd
    Send raw command string to the rotator.
    <CR> (or send-cmd-term, see -t option) is appended automatically at the end of the command for text protocols. For binary protocols, enter values as \0xAA\0xBB

EXAMPLES
Start rotctl for RotorEZ using COM1:

$ rotctl -m 401 -r /dev/ttyS0

Start rotctl using rpc.rotd:

$ rotctl -m 101

DIAGNOSTICS
The -v, --version option allows different levels of diagnostics to be output to stderr and correspond to -v for BUG, -vv for ERR, -vvv for WARN, -vvvv for VERBOSE, or -vvvvv for TRACE.

A given verbose level is useful for providing needed debugging information to the email address below. For example, TRACE output shows all of the values sent to and received from the radio which is very useful for radio backend library development and may be requested by the developers.

EXIT STATUS
rotctl exits with:
0 if all operations completed normally;
1 if there was an invalid command line option or argument;
2 if an error was returned by Hamlib.

BUGS

This suspiciously empty section...

REPORTING BUGS
Report bugs to <hamlib-developer@lists.sourceforge.net>.
We are already aware of the bug in the previous section :-)

AUTHOR
Written by Stephane Fillod and the Hamlib Group
<http://www.hamlib.org>.

COPYRIGHT
Copyright © 2000-2009 Stephane Fillod and the Hamlib Group.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
hamlib(3), rpc.rotd(8)